# Uses of Class
org.eclipse.ui.forms.widgets.Section

Packages that use Section
Package
Description
org.eclipse.ui.forms
Forms-based controls for use in views, editors, and wizards.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.

## Uses of Section in org.eclipse.ui.forms

Methods in org.eclipse.ui.forms that return Section
Modifier and Type
Method
Description
`Section`
SectionPart.`getSection()`
Returns the section widget used in this part.
Constructors in org.eclipse.ui.forms with parameters of type Section
Modifier
Constructor
Description
``
`SectionPart(Section section)`
Creates a new section part based on the provided section.

## Uses of Section in org.eclipse.ui.forms.widgets

Subclasses with type arguments of type Section in org.eclipse.ui.forms.widgets
Modifier and Type
Class
Description
`final class`
`SectionFactory`
This class provides a convenient shorthand for creating and initializing `Section`.
Methods in org.eclipse.ui.forms.widgets that return Section
Modifier and Type
Method
Description
`Section`
FormToolkit.`createSection(Composite parent, int sectionStyle)`
Creates a section as a part of the form.
Method parameters in org.eclipse.ui.forms.widgets with type arguments of type Section
Modifier and Type
Method
Description
`SectionFactory`
SectionFactory.`description(Function<Section,Control> controlFunction)`
Sets a function which must provide a description control for the given Section.